POST
/api/v2/loyalty/auto-assign/payment-requestProcess automatic point assignment for a payment request
Authentication
Send your API key in the x-api-key header on every request.
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| UserId | unknown | Yes | |
| PaymentRequestId | string | Yes | |
| TransactionAmount | unknown | Yes | |
| Currency | string | Yes | |
| PaymentMethod | string | No | |
| MerchantName | string | No | |
| MerchantCategory | string | No | |
| MerchantId | string | No | |
| UserTier | string | No | |
| Source | string | No | |
| TransactionTimestamp | string (date-time) | No | |
| Metadata | unknown | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | unknown | No | |
| TransactionType | string | No | |
| Points | unknown | No | |
| Description | string | No | |
| Source | string | No | |
| SourceTransactionId | string | No | |
| CreatedAt | string (date-time) | No | |
| ProcessedAt | string (date-time) | No | |
| Metadata | unknown | No |
400 — Bad Request
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
401 — Unauthorized
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
500 — Internal Server Error
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X POST "https://{base_url}/api/v2/loyalty/auto-assign/payment-request" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"UserId":"…","PaymentRequestId":"…","TransactionAmount":"…","Currency":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.